summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2019-06-29 15:57:50 +0100
committerIan Jackson <ijackson@chiark.greenend.org.uk>2019-06-30 21:11:17 +0100
commitc512ab74b0779566aeb88242480e5b4cbbc0c811 (patch)
tree705c70be38729cce55112d74a2c4e70e05c95e8d /tests
parent0987f3f5937ffd047cf09aea5084f857cabd8c0c (diff)
test suite: lib-baredebian: Break out $uv everywhere
No functional change. Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
Diffstat (limited to 'tests')
-rw-r--r--tests/lib-baredebian7
1 files changed, 4 insertions, 3 deletions
diff --git a/tests/lib-baredebian b/tests/lib-baredebian
index 762e7e2..768b0d5 100644
--- a/tests/lib-baredebian
+++ b/tests/lib-baredebian
@@ -4,6 +4,7 @@ baredebian-test-vars () {
quiltmode=baredebian
v=1.0-1
suite=sid
+ uv=${v%-*}
}
baredebian-test-core () {
@@ -12,7 +13,7 @@ baredebian-test-core () {
t-dgit -wn --dgit-view-save=split.f1 --$quiltmode quilt-fixup
- tar --strip-components=1 -axf ../${p}_${v%-*}.orig.tar.*
+ tar --strip-components=1 -axf ../${p}_${uv}.orig.tar.*
cd debian
git clean -xdff
@@ -46,9 +47,9 @@ baredebian-test-core () {
t-dgit -wn --quilt=$quiltmode --dgit-view-save=split.b quilt-fixup
t-dgit -wn --quilt=$quiltmode --dgit-view-save=split.p --new push
- git merge-base --is-ancestor v${v%-*} split.p
+ git merge-base --is-ancestor v$uv split.p
git merge-base --is-ancestor HEAD split.p
- set +e; git merge-base HEAD v${v%-*}; rc=$?; set -e; [ $rc = 1 ]
+ set +e; git merge-base HEAD v$uv; rc=$?; set -e; [ $rc = 1 ]
git clean -xdff
# t-pushed-good-* wants a clean tree to start with, but this